var $ = jQuery.noConflict();
$(document).ready(function() {

    "use strict";
    
    /*----------------------------------------------------*/
    /*  Superfish Menu
    /*----------------------------------------------------*/

    // initialise plugin
    $(window).resize(function() {
        if($(window).width() < 1329){
            $('.sf-menu').superfish({
                delay:       100,                            // one second delay on mouseout
                speed:       'fast',                         // faster animation speed
                autoArrows:  false                           // disable generation of arrow mark-up       
            });
        } else {
            $('.sf-menu').superfish('destroy');              // deinitialise plugin
        }
    });

    /*----------------------------------------------------*/
    /*  Sidr Responsive Menu
    /*----------------------------------------------------*/

    $('#primary-mobile-menu').sidr({
      name: 'sidr-existing-primary',
      source: '#primary-nav',
      side          : 'right',    
    });

    $('#secondary-mobile-menu').sidr({
      name: 'sidr-existing-secondary',
      source: '#secondary-nav'
    });

    /*----------------------------------------------------*/
    /*  Tabs
    /*----------------------------------------------------*/

    var $tabsNav    = $('.tabs-nav'),
        $tabsNavLis = $tabsNav.children('li'),
        $tabContent = $('.tab-content');

    $tabsNav.each(function() {
        var $this = $(this);

        $this.next().children('.tab-content').stop(true,true).hide()
                                             .first().show();

        $this.children('li').first().addClass('active').stop(true,true).show();
    });

    $tabsNavLis.on('click', function(e) {
        var $this = $(this);

        $this.siblings().removeClass('active').end()
             .addClass('active');

        $this.parent().next().children('.tab-content').stop(true,true).hide()
                                                      .siblings( $this.find('a').attr('href') ).fadeIn();

        e.preventDefault();
    });


    $(function() {

        /*----------------------------------------------------*/
        /*  video popup (venobox)
        /*----------------------------------------------------*/     
        
        $('.venobox').venobox(); 
    
        
    });
    

    $(window).load(function() {
        if ( $(window).width() < 1329) {
            var element = $('.scroll-pane').jScrollPane();
            var api = element.data('jsp');
            api.destroy();                                    // deinitialise plugin
        } else {
            $('.scroll-pane').jScrollPane();                  // initialise plugin
        }
    });
    $(window).resize(function() {
        if ( $(window).width() < 1329) {
            var element = $('.scroll-pane').jScrollPane();
            var api = element.data('jsp');
            api.destroy();                                    // deinitialise plugin
        } else {
            $('.scroll-pane').jScrollPane();                  // initialise plugin
        }
    });
});