<?php
$sticky = get_option( 'sticky_posts' );
if ( ! empty( $sticky ) ) :

	$args = array(
		'post__in'       => $sticky,
		'posts_per_page' => 1
	);
	$loop = new WP_Query( $args );

	if ( $loop->have_posts() ) : ?>

		<?php while ( $loop->have_posts() ) : $loop->the_post(); ?>

			<?php $video = hybrid_media_grabber( array( 'type' => 'video', 'split_media' => true, 'width' => 960 ) ); ?>
			
			<div class="feature-video">

				<?php if ( $video ) : ?>
				<a class="venobox" data-type="inline" href="#entry-video-<?php the_ID(); ?>">
				<?php endif; ?>
					<?php if ( has_post_thumbnail() ) : ?>
						<?php the_post_thumbnail( 'videoz-featured', array( 'class' => 'entry-thumbnail', 'alt' => esc_attr( get_the_title() ) ) ); ?>
					<?php endif; ?>
					<div class="overlay">
						<span class="play-button"><i class="fa fa-play"></i></span>
						<span class="featured"><?php _e( 'featured', 'videoz' ); ?></span>
					</div>
				<?php if ( $video ) : ?>
				</a>
				<?php endif; ?>

				<div class="entry-caption">
					<?php the_title( sprintf( '<h2 class="entry-title" ' . hybrid_get_attr( 'entry-title' ) . '><a href="%s" rel="bookmark" itemprop="url">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
				</div>

			</div>
			
			<?php if ( $video ) : ?>
				<div id="entry-video-<?php the_ID(); ?>" style="display: none;"><?php echo $video; ?></div>
			<?php endif; ?>

		<?php endwhile; ?>

	<?php endif; wp_reset_postdata(); ?>
<?php endif; ?>