<?php
// Check if there's a menu assigned to the 'primary' location. 
if ( ! has_nav_menu( 'primary' ) ) { 
	return;
}
?>
<div id="secondary-bar">
	
	<a id="secondary-mobile-menu" href="#"><i class="fa fa-bars"></i></a>
	<nav id="secondary-nav" class="main-navigation" role="navigation" <?php hybrid_attr( 'menu' ); ?>>
		<?php wp_nav_menu(
			array(
				'theme_location'  => 'primary',
				'container_class' => 'menu-wrapper',
				'menu_id'         => 'secondary-menu',
				'menu_class'      => 'menu-primary-items sf-menu',
				'walker'          => new Videoz_Primary_Nav_Walker
			)
		); ?>
	</nav><!-- #site-navigation -->

	<div class="news-search">
		<form action="<?php echo esc_url( home_url( '/' ) ); ?>" role="search">
			<input class="n-search" name="s" id="s" type="text" placeholder="<?php esc_attr_e( 'Search &hellip;', 'videoz' ); ?>">
			<button type="submit" name="submit" id="searchsubmit"><i class="fa fa-search"></i></button>
		</form>
	</div>

</div>