<?php if ( is_active_sidebar( 'home' ) ) : // Return early if no widget found. ?>
	<div id="home-sidebar" aria-label="<?php echo esc_attr_x( 'Home Sidebar', 'Sidebar aria label', 'videoz' ); ?>" <?php hybrid_attr( 'sidebar', 'home' ); ?>>
		<?php dynamic_sidebar( 'home' ); ?>
	</div>
<?php else : ?>
	<p style="color: #fff;"><?php printf( __( 'To manage the content that appeared here. Please go to %1$sWidget%2$s page then add a few widgets to the Home sidebar.' , 'videoz' ), '<strong><a href="' . esc_url( admin_url( 'widgets.php' ) ) . '">', '</a></strong>' ); ?></p>
<?php endif; ?>