<!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> <?php hybrid_attr( 'body' ); ?>>

<div id="page" class="hfeed site clearfix">

	<div id="content" class="site-content">
		<div class="container clearfix">

			<header id="masthead" class="site-header" role="banner" <?php hybrid_attr( 'header' ); ?>>
				<?php videoz_site_branding(); // Load the logo or site title. ?>
				<?php get_template_part( 'menu', 'category' ); // Load the menu-category.php template file. ?>
			</header><!-- #masthead -->

			<?php get_template_part( 'menu', 'primary' ); // Load the menu-primary.php template file. ?>

			<div id="primary" <?php videoz_layout_class(); ?>>