<?php
// Check if there's a menu assigned to the 'category' location. 
if ( ! has_nav_menu( 'category' ) ) { 
	return;
}
?>
<a id="primary-mobile-menu" class="" href="#"><i class="fa fa-bars"></i></a>
<div id="menu-scroll" class="scroll-pane">

	<nav id="primary-nav" class="category-navigation" role="navigation" <?php hybrid_attr( 'menu' ); ?>>
		<?php wp_nav_menu(
			array(
				'theme_location'  => 'category',
				'container_class' => 'menu-category-wrapper',
				'menu_id'         => 'menu-category-items primary-menu',
				'menu_class'      => 'menu-category-items sf-menu'
			)
		); ?>
	</nav><!-- #site-navigation -->

	<?php videoz_social_links(); // Display the social icons. ?>
	
	<div class="clearfix"></div>
	
</div>